#
# Copyright 2010, Red Hat, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#
# Author: Vojtech Aschenbrenner <vaschenb@redhat.com>

from autoqa.test import AutoQATest
from autoqa.decorators import ExceptionCatcher

class helloworld(AutoQATest):
    version = 1 # increment if setup() changes

    @ExceptionCatcher()
    def run_once(self, *args, **kwargs):
        super(self.__class__, self).run_once()
        self.summary = 'Hello, World!'
        self.outputs = "===Printing passed params===\n"
        for arg in args:
            self.outputs += "%s\n" % (arg)
        for name, arg in kwargs.iteritems():
            self.outputs += "%s = %r\n" % (name, arg)
        self.outputs += "%s = %r\n" % ("autotest_url", self.autotest_url)
        self.outputs += "===End of passed params==="

        self.result = "PASSED"

        print self.outputs
